@base <https://purl.org/coscine/ap/sfb985/archive/> .

@prefix dash: <http://datashapes.org/dash#> . 
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix cosarchive: <https://purl.org/coscine/ap/cosarchive#> .     
@prefix dcterms:<http://purl.org/dc/terms/> . 
@prefix obo:<http://purl.obolibrary.org/obo/> . 
@prefix ecsel:<http://www.w3id.org/ecsel-dr-ORG#> . 
@prefix edam:<http://edamontology.org/> .
@prefix dwc:<http://rs.tdwg.org/dwc/terms/> .

    
<https://purl.org/coscine/ap/sfb985/archive/>
dcterms:license <http://spdx.org/licenses/MIT> ;
dcterms:publisher <https://itc.rwth-aachen.de/> ;
dcterms:rights "Copyright © 2022 IT Center, RWTH Aachen University" ; 
dcterms:title "Archive"@en, "Archiv"@de ;

a sh:NodeShape ;
sh:targetClass <https://purl.org/coscine/ap/sfb985/archive/> ;
sh:closed true ; 

sh:property [
    sh:path rdf:type ;
] ;

    
  sh:property cosarchive:title ;
  sh:property cosarchive:description ;
  sh:property cosarchive:contributors ;
  sh:property cosarchive:principalInvestigator ;
  sh:property cosarchive:sfb985Sub-projects ;
  sh:property cosarchive:dateArchived ;
  sh:property cosarchive:relatedPublishedDoi ;
  sh:property cosarchive:relatedResearchDataPublicationDoi ;
  sh:property cosarchive:relatedArchivedDataPublicationPID ;

  sh:property cosarchive:keywords .
 
cosarchive:title
  sh:path dcterms:title ;
  sh:order 0  ;
  sh:description "Descriptive title for archived data"@en ; 
  sh:datatype xsd:string ; 
  sh:minCount 1 ;
  sh:name "Title"@en, "Titel"@de.

cosarchive:description
  sh:path dcterms:description ;
  sh:order 1  ;
  sh:minCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Description"@en, "Beschreibung"@de.


cosarchive:contributors
  sh:path dcterms:contributor ;
  sh:order 2  ;
  sh:description "Who contributed to this data (or the paper in which it was published in)"@en ; 
  sh:datatype xsd:string ; 
  sh:minCount 1 ;
  sh:name "Contributors"@en, "Mitarbeitende"@de.


cosarchive:principalInvestigator
  sh:path obo:OBI_0000103 ;
  sh:order 3  ;
  sh:description "Which SFB 985 PIs were involved?"@en ; 
  sh:class <http://purl.org/coscine/vocabularies/sfb985/pis> ; 
  sh:minCount 1 ;
  sh:name "Principal investigator(s)"@en, "Principal investigator(s)"@de.


cosarchive:sfb985Sub-projects
  sh:path ecsel:has_sub_project ;
  sh:order 4  ;
  sh:description "Which SFB 985 sub-projects were involved?"@en ; 
  sh:class <http://purl.org/coscine/vocabularies/sfb985/subProjects> ; 
  sh:minCount 1 ;
  sh:name "SFB 985 sub-projects"@en, "SFB 985 Teilprojekte"@de.


cosarchive:dateArchived
  sh:path dcterms:date ;
  sh:order 5  ;
  sh:description "The date of archival (in most cases today)"@en ; 
  sh:datatype xsd:date ; 
  sh:defaultValue "{TODAY}" ;
  sh:name "Date archived"@en, "Archivierungsdatum"@de.


cosarchive:relatedPublishedDoi
  sh:path edam:data_1188 ;
  sh:order 6  ;
  sh:description "DOI to related published article"@en ; 
  sh:datatype xsd:string ; 
  sh:name "Related published article DOI"@en, "DOI zur relevanten Veröffentlichung (Artikel)"@de.


cosarchive:relatedResearchDataPublicationDoi
  sh:path edam:data_1084 ;
  sh:order 7  ;
  sh:description "DOI(s) to any related published research data"@en ; 
  sh:datatype xsd:string ; 
  sh:name "Related research data publication DOI(s)"@en, "relevante DOI(s) zu veröffentlichten Forschungsdaten"@de.

cosarchive:relatedArchivedDataPublicationPID

  sh:path dwc:relatedResourceID ;
  sh:order 8  ;
  sh:description "PID(s) to any related non-public research data"@en ; 
  sh:datatype xsd:string ; 
  sh:name "Related archived (non-public) research data PID(s)"@en, "relevante PID(s) zu archivierten (nicht-veröffentlichten) Forschungsdaten"@de.

cosarchive:keywords
  sh:path edam:data_0968 ;
  sh:order 9  ;
  sh:description "any related keywords"@en ; 
  sh:datatype xsd:string ; 
  sh:name "Keywords"@en, "Keywords"@de.

